Subject: Re: Mr Taylor answer re bug in the linker
From: [email-masked] (Ian Lance Taylor)

17 Jul 1997 16:58:02 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked]
In-reply-to: <[email-masked]> ([email-masked])
Original-Sender: [email-masked]

   From: [email-masked] (root)
   Date: Thu, 17 Jul 1997 07:41:40 +0200 (MET DST)

   Then, Mr Taylor answers in his well known terse style:

It's true, I do write in a very terse style.  I apologize.  No insult
is intended.  I receive several hundred mail messages every day, and I
reply to a hundred or so.  (I'm not even on the gnu-win32 list; I read
it as a local newsgroup).  If I spent as much time on every mail
message as I did on, say, this one, I doubt I could keep up.

I found the same bug as you did a few weeks ago, and I fixed it for
the next release.

When I saw your message, I could have said ``that is a known bug, and
it is fixed in the next release.''

I could have said absolutely nothing.

Instead, I indicated how to fix the problem.  A bright fellow such as
yourself should have no problem taking my note and figuring out what
the right fix is.

I could also have spent five minutes looking for the patch I applied,
and sent that to the list.  If you had been a paying customer, I would
have done that and much more.  In fact, though, you are not, so I
spent the 30 seconds I thought was appropriate, and I provided what I
thought was enough information to fix the problem.

   It seems (to me) that here we have the confirmation of a certain attitude
   towards users of free software and maybe users un general. I think that if
   somebody uses free software, he/she is not an idiot, or a stupid, and that
   he/she has some rights as a user: he shouldn't be thrown knowingly into a
   trap that he/she can NEVER be able to see.

The linker does, after all, work in most cases.  It doesn't work if
you try to link in a resource file.  Evidently nobody tested that in
b18.  I ran into the same problem myself, and I fixed it.

This is free software.  Among other things, that means you get no
support.  None.  (Unless, of course, you pay for it).  If you run into
a problem, you fix it, or you report it and hope that somebody else
fixes it.  If you expect anything else, you are in the wrong field.
In particular, for NT development, there are many fine commercial
packages available.  Personally, I would choose to use free software,
but, like all choices, there are tradeoffs involved.

   I propose then, to modify the installation instructions of GNU to cope with
   this.

I have a much better idea.  I will modify the linker so that it no
longer has this bug.  In fact, I did that a while ago, and the fix
will be in the next release.

Ian
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".